Opened 3 years ago

Closed 2 years ago

#1818 closed defect (fixed)

Couldn't initialize the InstanceManager required by Tomcat Jasper

Reported by: SeraPhita Owned by:
Priority: minor Milestone: 0.9.30
Component: apps/jetty Version: 0.9.28
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

Hi,
I have a warning in my log-router:
"WARN [uter Console] rg.eclipse.jetty.server.Server: Couldn't initialize the InstanceManager? required by Tomcat Jasper: java.lang.ClassNotFoundException?: org.apache.tomcat.SimpleInstanceManager?"

Except this warning, my I2P is running normally. I have read this ticket http://trac.i2p2.i2p/ticket/1679 but it didn't help me understand the issue ( sorry for my lack of knowledge).

I run a debian-based system and this is my config:
I2P version: 0.9.26-0-1~deb8u+1
Java version: Oracle Corporation 1.7.0_101 (OpenJDK Runtime Environment 1.7.0_101-b00)
Wrapper version: 3.5.25
Server version: 8.1.16.v20140903
Servlet version: Jasper JSP 2.1 Engine
JSTL version: standard-taglib 1.2.0
Platform: Linux i386 3.16.0-4-686-pae
Jcpuid version: 2
Processor: Penryn (core2)
Jbigi: Locally optimized native BigInteger? library loaded from file
Jbigi version: 3
GMP version: 6.1.1
Encoding: UTF-8
Charset: UTF-8

Notice that i have build my own jbigi with GMP 6.1.1.
Thanks for your return.

Subtickets

#1883: Couldn't initialize the InstanceManager required by Tomcat Jasperclosed
#1935: Tomcat 7/8closedzzz

Change History (9)

comment:1 Changed 3 years ago by zzz

Component: unspecifiedpackage/debian
Milestone: undecided0.9.27
Resolution: not a bug
Status: newclosed

I see this too. It's a side-effect of the new Debian/Ubunutu? dependencies we added in 0.9.26. It appears to be harmless. We will be changing the dependencies, possibly as early as 0.9.27 (or at the latest when we move to jetty 9 #1512), also perhaps as a fix for bote in #1793, which should resolve it in any case. #1679 and jbigi are not relevant.

Thanks for the report.

comment:2 Changed 3 years ago by zzz

Milestone: 0.9.270.9.29
Resolution: not a bug
Status: closedreopened

This will be fixed when we move to Tomcat 8, see #1870

comment:3 Changed 3 years ago by zzz

Set debug logging to get the full stack trace:

WARN  [uter Console] rg.eclipse.jetty.server.Server: Couldn't initialize the InstanceManager required by Tomcat Jasper
java.lang.ClassNotFoundException: org.apache.tomcat.SimpleInstanceManager
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at org.eclipse.jetty.webapp.WebAppContext.initializeJasper(WebAppContext.java:268)
	at org.eclipse.jetty.webapp.WebAppContext.<init>(WebAppContext.java:217)
	at net.i2p.router.web.LocaleWebAppHandler.<init>(LocaleWebAppHandler.java:38)
	at net.i2p.router.web.RouterConsoleRunner.startConsole(RouterConsoleRunner.java:630)
	at net.i2p.router.web.RouterConsoleRunner.startup(RouterConsoleRunner.java:223)
	at net.i2p.router.startup.RouterAppManager.addAndStart(RouterAppManager.java:55)
	at net.i2p.router.startup.LoadClientAppsJob$RunApp.run(LoadClientAppsJob.java:282)
	at java.lang.Thread.run(Thread.java:745)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)

However, there's no initializeJasper() in the Jetty 8.x source.

In the Deb/Ubuntu? build files is the following patch named initialize-tomcat-jasper-patch:

Description: Add an InstanceManager in the ServletContext to integrate Tomcat Jasper with Jetty.
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/jetty-webapp/src/main/java/org/eclipse/jetty/webapp/WebAppContext.java
+++ b/jetty-webapp/src/main/java/org/eclipse/jetty/webapp/WebAppContext.java
@@ -196,6 +196,8 @@
         _scontext=new Context();
         setErrorHandler(new ErrorPageErrorHandler());
         setProtectedTargets(__dftProtectedTargets);
+
+        initializeJasper();
     }
 
     /* ------------------------------------------------------------ */
@@ -211,6 +213,8 @@
         setWar(webApp);
         setErrorHandler(new ErrorPageErrorHandler());
         setProtectedTargets(__dftProtectedTargets);
+
+        initializeJasper();
     }
 
     /* ------------------------------------------------------------ */
@@ -226,6 +230,8 @@
         setWar(webApp);
         setErrorHandler(new ErrorPageErrorHandler());
         setProtectedTargets(__dftProtectedTargets);
+
+        initializeJasper();
     }
 
     /* ------------------------------------------------------------ */
@@ -243,6 +249,28 @@
         _scontext = new Context();
         setErrorHandler(errorHandler != null ? errorHandler : new ErrorPageErrorHandler());
         setProtectedTargets(__dftProtectedTargets);
+
+        initializeJasper();
+    }
+
+    private void initializeJasper() {
+        // check if Jasper is on the classpath
+        boolean jasperFound = false;
+        try {
+            Class.forName("org.apache.jasper.servlet.JspServlet");
+            jasperFound = true;
+        } catch (ClassNotFoundException e) {
+        }
+
+        // initialize an InstanceManager required by Jasper
+        if (jasperFound) {
+            try {
+                Object instanceManager = Class.forName("org.apache.tomcat.SimpleInstanceManager").newInstance();
+                setAttribute("org.apache.tomcat.InstanceManager", instanceManager);
+            } catch (Exception e) {
+                LOG.warn("Couldn't initialize the InstanceManager required by Tomcat Jasper", e);
+            }
+        }
     }
 
     /* ------------------------------------------------------------ */

SimpleInstanceManager? is only in Tomcat 8. We are using Tomcat 6.

Here http://stackoverflow.com/questions/17529936/issues-while-using-jetty-embedded-to-handle-jsp-jasperexception-unable-to-com and link at bottom of it pointing to Jetty sample code has more info.

So Tomcat 6 doesn't need any of this initialization, and the warning is harmless. Tomcat 7 has a different one (DefaultInstanceManager? which is in catalina?) that won't work with the Debian patch.

So far in my Tomcat 8 non-deb testing I haven't had any problems with an uninitialized InstanceManager?, so I'm not sure what the patch accomplishes.

In the meantime, we could perhaps detect that we're a deb/ubuntu package, and output a message to the logs, 'ignore next message about instance manager'

comment:4 Changed 3 years ago by zzz

Message added in 36852f755f07840898c169692144576c5022ef83 0.9.27-7

comment:5 Changed 3 years ago by zzz

Add a subticket #1883.

comment:6 Changed 3 years ago by anonymous maybe

Version: 0.9.260.9.28

i would add mine as well , i dunno if it will be helpful or not but here is i:-

  • I2P Version and Running Environment

I2P version: 0.9.28-0-1ubuntu1
Java version: Oracle Corporation 1.7.0_111 (OpenJDK Runtime Environment 1.7.0_111-b01)
Wrapper version: 3.5.25
Server version: 8.1.16.v20140903
Servlet version: Jasper JSP 2.1 Engine
JSTL version: standard-taglib 1.2.0
Platform: Linux amd64 4.4.31-11.pvops.qubes.x86_64
Jcpuid version: 3
Processor: Haswell Core i3/i5/i7 model 60 (coreihwl)
Jbigi: Locally optimized native BigInteger? library loaded from file
Jbigi version: 4
GMP version: 6.0.0
Encoding: UTF-8
Charset: UTF-8

  • Router Logs
    12/18/16 8:06:36 PM ↓↓↓ 3 similar messages omitted ↓↓↓
    12/18/16 8:06:34 PM WARN [uter Console] rg.eclipse.jetty.server.Server: Couldn't initialize the InstanceManager required by Tomcat Jasper: java.lang.ClassNotFoundException: org.apache.tomcat.SimpleInstanceManager
    12/18/16 8:06:34 PM WARN [Addressbook ] .naming.BlockfileNamingService: The hosts database was not closed cleanly or is still open by another process
    12/18/16 8:06:34 PM ↓↓↓ 3 similar messages omitted ↓↓↓
    12/18/16 8:06:32 PM WARN [uter Console] rg.eclipse.jetty.server.Server: Couldn't initialize the InstanceManager required by Tomcat Jasper: java.lang.ClassNotFoundException: org.apache.tomcat.SimpleInstanceManager
    12/18/16 8:06:32 PM INFO [uter Console] rg.eclipse.jetty.server.Server: Please ignore any InstanceManager warnings

  • Service (Wrapper) Logs
2016/12/10 20:51:02 |   Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved.
2016/12/10 20:51:02 |     http://wrapper.tanukisoftware.com
2016/12/10 20:51:02 | 
2016/12/10 20:51:02 | Launching a JVM...
2016/12/10 20:51:02 | WrapperManager: Initializing...
2016/12/10 20:51:02 | Starting I2P 0.9.27-0-1~deb8u+1
2016/12/10 20:51:02 | Setting up new user directory /home/user/.i2p
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/docroot
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/robots.txt
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/favicon.ico
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/docroot/help
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_es.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_ru.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_sv.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/pagetemplate.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_de.html
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/docroot/help/lib
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/brown.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/de.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/us.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/nl.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/jp.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/cn.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/itoopie.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/ru.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/se.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/it.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/es.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/h2bg.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/bg.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/fr.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/eepsite.css
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/lib/ir.png
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_fr.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_nl.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_na.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/help/index_zh.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/docroot/index.html
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/jetty.xml
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/jetty-ssl.xml
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/cgi-bin
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/logs
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/webapps
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/jetty-rewrite.xml
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/etc
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/etc/webdefault.xml
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/etc/realm.properties
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/jetty-jmx.xml
2016/12/10 20:51:02 | Created /home/user/.i2p/eepsite/contexts
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/contexts/cgi-context.xml
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/contexts/base-context.xml
2016/12/10 20:51:02 | Copied /usr/share/i2p/hosts.txt
2016/12/10 20:51:02 | Copied /usr/share/i2p/i2psnark.config
2016/12/10 20:51:02 | Copied /usr/share/i2p/i2ptunnel.config
2016/12/10 20:51:02 | Copied /usr/share/i2p/router.config
2016/12/10 20:51:02 | Copied /usr/share/i2p/systray.config
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/jetty.xml with modifications
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/jetty-ssl.xml with modifications
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/contexts/base-context.xml with modifications
2016/12/10 20:51:02 | Copied /usr/share/i2p/eepsite/contexts/cgi-context.xml with modifications
2016/12/10 20:51:02 | Copied /usr/share/i2p/clients.config with modifications
2016/12/10 20:51:02 | Successfully copied data files to new user directory /home/user/.i2p
2016/12/10 20:51:03 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/12/10 20:51:03 | INFO: Locally optimized native BigInteger library loaded from file
2016/12/10 20:51:03 | Reseed start
2016/12/10 20:51:03 | Reseeding from https://i2p-0.manas.ca:8443/i2pseeds.su3
2016/12/10 20:51:05 | INFO:  Addressbook directory addressbook created
2016/12/10 20:51:05 | Reseed got no router infos from https://i2p-0.manas.ca:8443/i2pseeds.su3
2016/12/10 20:51:05 | Reseeding from https://i2p.manas.ca:8443/i2pseeds.su3
2016/12/10 20:51:06 | Reseed got no router infos from https://i2p.manas.ca:8443/i2pseeds.su3
2016/12/10 20:51:06 | Reseeding from https://us.reseed.i2p2.no:444/i2pseeds.su3
2016/12/10 20:51:09 | INFO: 60 files extracted to /tmp/i2p-g2bUL7fF.tmp/reseeds-621356688
2016/12/10 20:51:09 | Reseed got 60 router infos from https://us.reseed.i2p2.no:444/i2pseeds.su3 with 0 errors
2016/12/10 20:51:09 | Reseeding from https://uk.reseed.i2p2.no:444/i2pseeds.su3
2016/12/10 20:51:12 | INFO: 60 files extracted to /tmp/i2p-g2bUL7fF.tmp/reseeds-637247123
2016/12/10 20:51:12 | Reseed got 60 router infos from https://uk.reseed.i2p2.no:444/i2pseeds.su3 with 0 errors
2016/12/10 20:51:12 | Reseed complete, 120 received
2016/12/10 21:15:53 | TERM trapped.  Shutting down.
2016/12/10 21:15:55 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Shutting down the router...
2016/12/10 21:15:55 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Starting final shutdown(3)
2016/12/10 21:15:55 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Shutdown(3) complete
2016/12/10 21:15:55 | <-- Wrapper Stopped
2016/12/10 21:16:36 | --> Wrapper Started as Daemon
2016/12/10 21:16:36 | Java Service Wrapper Community Edition 64-bit 3.5.25
2016/12/10 21:16:36 |   Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved.
2016/12/10 21:16:36 |     http://wrapper.tanukisoftware.com
2016/12/10 21:16:36 | 
2016/12/10 21:16:36 | Launching a JVM...
2016/12/10 21:16:36 | WrapperManager: Initializing...
2016/12/10 21:16:36 | Starting I2P 0.9.27-0-1~deb8u+1
2016/12/10 21:16:37 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/12/10 21:16:37 | INFO: Locally optimized native BigInteger library loaded from file
2016/12/10 21:23:32 | TERM trapped.  Shutting down.
2016/12/10 21:23:32 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Shutting down the router...
2016/12/10 21:23:32 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Starting final shutdown(3)
2016/12/10 21:23:34 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Shutdown(3) complete
2016/12/10 21:23:35 | <-- Wrapper Stopped
2016/12/16 18:36:53 | --> Wrapper Started as Daemon
2016/12/16 18:36:53 | Java Service Wrapper Community Edition 64-bit 3.5.25
2016/12/16 18:36:53 |   Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved.
2016/12/16 18:36:53 |     http://wrapper.tanukisoftware.com
2016/12/16 18:36:53 | 
2016/12/16 18:36:53 | Launching a JVM...
2016/12/16 18:36:58 | WrapperManager: Initializing...
2016/12/16 18:36:59 | Starting I2P 0.9.28-0-1ubuntu1
2016/12/16 18:37:00 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/12/16 18:37:00 | INFO: Locally optimized native BigInteger library loaded from file
2016/12/16 19:01:07 | CRIT  [ShutdownHook] net.i2p.router.Router         : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/12/16 19:01:07 | CRIT  [ShutdownHook] net.i2p.router.Router         : Starting final shutdown(2)
2016/12/16 19:01:07 | CRIT  [ShutdownHook] net.i2p.router.Router         : Shutdown(2) complete
2016/12/16 19:01:09 | <-- Wrapper Stopped
2016/12/16 19:04:11 | --> Wrapper Started as Daemon
2016/12/16 19:04:11 | Java Service Wrapper Community Edition 64-bit 3.5.25
2016/12/16 19:04:11 |   Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved.
2016/12/16 19:04:11 |     http://wrapper.tanukisoftware.com
2016/12/16 19:04:11 | 
2016/12/16 19:04:11 | Launching a JVM...
2016/12/16 19:04:12 | WrapperManager: Initializing...
2016/12/16 19:04:13 | Starting I2P 0.9.28-0-1ubuntu1
2016/12/16 19:04:13 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/12/16 19:04:13 | INFO: Locally optimized native BigInteger library loaded from file
2016/12/16 20:01:01 | INFO: 42 files extracted to /home/user/.i2p/plugins/i2pbote
2016/12/16 20:01:01 | Adding /usr/share/i2p/lib/standard.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/i2pbote.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/mailapi-1.5.4.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/bcprov-jdk15on-152.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/ntruenc-1.2.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/scrypt-1.4.0.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/lzma-9.20.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-james-mailbox-api-0.6-20150508.040939-710.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-james-mailbox-store-0.6-20150508.041003-704.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-mime4j-core-0.7.2.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-codec-1.7.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-collections-3.2.1.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-configuration-1.9.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-io-2.4.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-lang-2.6.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-logging-1.0.3.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-filesystem-api-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-lifecycle-api-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-protocols-imap4-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-protocols-library-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-util-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/jcommon-1.0.23.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/jfreechart-1.0.19.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/jutf7-1.0.0.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/log4j-1.2.17.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/netty-3.3.1.Final.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-api-1.6.4-20150617.121129-1080.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-imap-1.6.4-20150617.121245-927.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-netty-1.6.4-20150617.121137-1044.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/slf4j-api-1.7.2.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/slf4j-log4j12-1.7.2.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/subethasmtp-3.1.7.jar to classpath for i2pbote
2016/12/16 20:01:01 | Adding /home/user/.i2p/plugins/i2pbote/lib/csrfguard-3.1.0.jar to classpath for i2pbote
2016/12/16 23:06:59 | CRIT  [ShutdownHook] net.i2p.router.Router         : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/12/16 23:06:59 | CRIT  [ShutdownHook] net.i2p.router.Router         : Starting final shutdown(5)
2016/12/16 23:06:59 | CRIT  [ShutdownHook] net.i2p.router.Router         : Shutdown(5) complete
2016/12/16 23:07:02 | on_exit trigger matched.  Restarting the JVM.  (Exit code: 5)
2016/12/16 23:07:16 | Launching a JVM...
2016/12/16 23:07:17 | WrapperManager: Initializing...
2016/12/16 23:07:17 | Starting I2P 0.9.28-0-1ubuntu1
2016/12/16 23:07:17 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/12/16 23:07:17 | INFO: Locally optimized native BigInteger library loaded from file
2016/12/16 23:07:19 | Adding /usr/share/i2p/lib/standard.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/i2pbote.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/mailapi-1.5.4.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/bcprov-jdk15on-152.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/ntruenc-1.2.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/scrypt-1.4.0.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/lzma-9.20.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-james-mailbox-api-0.6-20150508.040939-710.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-james-mailbox-store-0.6-20150508.041003-704.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-mime4j-core-0.7.2.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-codec-1.7.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-collections-3.2.1.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-configuration-1.9.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-io-2.4.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-lang-2.6.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-logging-1.0.3.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-filesystem-api-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-lifecycle-api-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-protocols-imap4-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-protocols-library-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-util-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/jcommon-1.0.23.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/jfreechart-1.0.19.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/jutf7-1.0.0.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/log4j-1.2.17.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/netty-3.3.1.Final.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-api-1.6.4-20150617.121129-1080.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-imap-1.6.4-20150617.121245-927.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-netty-1.6.4-20150617.121137-1044.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/slf4j-api-1.7.2.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/slf4j-log4j12-1.7.2.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/subethasmtp-3.1.7.jar to classpath for i2pbote
2016/12/16 23:07:19 | Adding /home/user/.i2p/plugins/i2pbote/lib/csrfguard-3.1.0.jar to classpath for i2pbote
2016/12/17 19:05:39 | CRIT  [NTCP Pumper ] net.i2p.util.Clock            : Large clock shift forward by 10h
2016/12/17 22:15:44 | TERM trapped.  Shutting down.
2016/12/17 22:16:13 | CRIT  [r 1 shutdown] net.i2p.router.Router         : Shutting down the router...
2016/12/18 20:06:28 | --> Wrapper Started as Daemon
2016/12/18 20:06:28 | Java Service Wrapper Community Edition 64-bit 3.5.25
2016/12/18 20:06:28 |   Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved.
2016/12/18 20:06:28 |     http://wrapper.tanukisoftware.com
2016/12/18 20:06:28 | 
2016/12/18 20:06:28 | Launching a JVM...
2016/12/18 20:06:30 | WrapperManager: Initializing...
2016/12/18 20:06:30 | Starting I2P 0.9.28-0-1ubuntu1
2016/12/18 20:06:30 | WARN: Old router was not shut down gracefully, deleting /home/user/.i2p/router.ping
2016/12/18 20:06:31 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/12/18 20:06:31 | INFO: Locally optimized native BigInteger library loaded from file
2016/12/18 20:06:36 | Adding /usr/share/i2p/lib/standard.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/i2pbote.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/mailapi-1.5.4.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/bcprov-jdk15on-152.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/flexi-gmss-1.7p1.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/ntruenc-1.2.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/scrypt-1.4.0.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/lzma-9.20.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-james-mailbox-api-0.6-20150508.040939-710.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-james-mailbox-store-0.6-20150508.041003-704.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/apache-mime4j-core-0.7.2.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-codec-1.7.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-collections-3.2.1.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-configuration-1.9.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-io-2.4.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-lang-2.6.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/commons-logging-1.0.3.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-filesystem-api-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-lifecycle-api-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-protocols-imap4-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-protocols-library-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/james-server-util-3.0.0-beta5-SNAPSHOT.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/jcommon-1.0.23.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/jfreechart-1.0.19.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/jutf7-1.0.0.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/log4j-1.2.17.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/netty-3.3.1.Final.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-api-1.6.4-20150617.121129-1080.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-imap-1.6.4-20150617.121245-927.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/protocols-netty-1.6.4-20150617.121137-1044.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/slf4j-api-1.7.2.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/slf4j-log4j12-1.7.2.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/subethasmtp-3.1.7.jar to classpath for i2pbote
2016/12/18 20:06:36 | Adding /home/user/.i2p/plugins/i2pbote/lib/csrfguard-3.1.0.jar to classpath for i2pbote

Last edited 3 years ago by anonymous maybe (previous) (diff)

comment:7 Changed 3 years ago by zzz

Milestone: 0.9.290.9.31

To summarize the comments above: This is harmless, we've added a message to ignore the warning, it's an Ubuntu thing only, and will be fixed when we migrate to Tomcat 8 in mid-2017.

comment:8 Changed 3 years ago by zzz

Add a subticket #1935.

comment:9 Changed 2 years ago by zzz

Component: package/debianapps/jetty
Milestone: 0.9.310.9.30
Resolution: fixed
Status: reopenedclosed

This was fixed in the Jetty 9 prop 0.9.29-4. The warning no longer appears, and we've removed the message about ignoring the warning.

Note: See TracTickets for help on using tickets.